# $Revision: 1.24 $, $Date: 2004/08/14 10:13:59 $
Summary:	GtkSamba is a GUI tool to configure the SMB file server
Summary(pl):	Graficzne narzdzie do konfigurowania serwera plikw SMB
Name:		gtksamba
Version:	0.3.2pl1
Release:	3
License:	GPL
Vendor:		Perry Piplani <coder@open-systems.com>
Group:		X11/Applications/Networking
URL:		http://www.open-systems.com/gtksamba.html
Source0:	ftp://ibiblio.org/pub/Linux/X11/gtkbuffet/apps/gtksamba/%{name}-%{version}.tar.gz
# Source0-md5:	bd19a461d455b76764ac143d385d9f23
Patch0:		%{name}-smb.conf_path_fix.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
Requires:	samba
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
GtkSamba is a GUI tool for the Configuration of the Samba, the SMB
file server on X11/Unix. It will read, edit and write /etc/smb.conf,
an alternate configuration file, or from a network. It uses the GTK
toolkit.

%description -l pl
GtkSamba jest narzdziem GUI sucym do konfiguracji Samby, serwera
SMB na systemach uniksowych. Pozwala odczyta, modyfikowa i zapisa
/etc/smb.conf, alternatywny plik konfiguracyjny lub dane z sieci.
Wykorzystuje bibliotek GTK.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--without-gnome
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO ChangeLog
%attr(755,root,root) %{_bindir}/gtksamba


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtksamba.spec,v $
Revision 1.24  2004/08/14 10:13:59  averne
- rel 3

Revision 1.23  2003/12/01 02:24:54  undefine
- release 2 to rebuild with ac

Revision 1.22  2003/05/28 12:59:02  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:48:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/01/18 22:50:09  juandon
- removed two lines with define

Revision 1.19  2002/11/29 23:35:20  ankry
- new %%doc

Revision 1.18  2002/10/09 13:14:29  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/05/21 23:13:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/04/25 16:31:30  arturs
fixed a small typo

Revision 1.15  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/19 04:28:46  kloczek
- added BuildRequires rules.

Revision 1.12  2002/02/19 04:26:41  kloczek
- finished (NOTE: it will be good add desktop and png icon).

Revision 1.11  2002/02/18 19:28:54  gotar
- %desc

Revision 1.10  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/28 09:37:48  qboosh
- added working Source0 URL (open-systems.com not found)

Revision 1.8  2001/05/02 16:29:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/20 13:58:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/04 07:43:21  arturs
- added %description -l pl

Revision 1.4  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.2  1999/07/17 12:41:14  kloczek

- partialy rewrited (NFY),
- added template %changelog header and using CVS keywords.

Spec based on version written by Ryan Weaver <ryanw@infohwy.com>
